Loading...
Searching...
No Matches
mptcpd_config Struct Reference

mptcpd configuration parameters More...

`#include <configuration.h>`

## Public Attributes

mptcpd_set_log_func_t | log_set
| Function that configures the ELL logging mechanism.
char * | plugin_dir
| Location of mptcpd plugins.
uint32_t | addr_flags
| flags for addresses create
uint32_t | notify_flags
| Various flags to control new address notification.
char * | default_plugin
| Name of default plugin.
struct l_queue * | plugins_to_load
| A list of plugins to load.

## Detailed Description

mptcpd configuration parameters

This structure defines a set of configuration parameters for mptcpd. Only one instance of this structure is intended to exist in a given mptcpd process.

## Member Data Documentation

## addr_flags

uint32_t mptcpd_config::addr_flags

flags for addresses create

Flags to be used when the plugin advertises an address. Only relevant for the upstream kernel.

## default_plugin

char* mptcpd_config::default_plugin

Name of default plugin.

Use the operations associated with the plugin of this name if a path management strategy wasn't configured for a given MPTCP connection.

## log_set

mptcpd_set_log_func_t mptcpd_config::log_set

Function that configures the ELL logging mechanism.

This function is called by mptcpd to configure the underlying logging mechanism. In particular, it will be any of the following:

- `l_log_set_null`
- `l_log_set_stderr`
- `l_log_set_syslog`
- `l_log_set_journal`

The documentation for this struct was generated from the following file:

- include/mptcpd/private/configuration.h